ElasticSearch Essentials

ElasticSearch Essentials 3.12.3

No permission to buy ($30.00)
  • Require php 7.2+
  • Fix that elasticsearch could be queried for impossible queries when searching taggable/groupable's which aren't possible
  • Fix XFES similar thread would cause an extra query when "Replace Enhanced Search 2.2's suggest threads implementation" was disabled.
  • Add autocomplete support for NixFifty's Tickets add-on (v2.4.0+)
  • Add 'most recent' search sort type support for Tickets
  • Support content tooltips from autocomplete
  • Include 'Browser Detection' add-on in download list.
  • Actually distribute readme file for the xf-rebuild:search-bulk command
  • Rename the nonsenically named search option from "Search only containers" to "Search first posts only".
  • Compatibility tweak for upcoming add-on related to tagging
  • When searching and requiring a tag which doesn't exist, return a search error
  • php 8.2 compat fixes
  • Fixes for CLI command xf-rebuild-bulk-search
    • Fix "--newest-first" flag would cause content to be indexed from the content types with the most data first
    • Fix "--delete" flag would not actually delete the index
  • Fix case where "Weight by X" was not being applied to search queries
  • Add "Apply content weights to auto-complete" option (default disabled, as it increases the query complexity)
  • Require XenForo 2.2+
  • Fix "[ESE] Autocomplete" permission was not being checked for root-level autocomplete attempts
    • User's must have '[ESE] Autocomplete' permission in a global context, while '[ESE] Autocomplete' can be revoked per-forum.
  • Allow autocomplete links to be clickable
  • Add "last updated limit" to autocomplete & similar thread widget to support limiting by last update for threads/resources/Bob's AMS Articles
    • Requires re-indexing of resources & AMS Articles to enable this!
  • Add "Redirect to top validated suggestion" option.
    If search result suggestion validation is enabled, a search with no results will redirect to the suggested search term with the most results.
  • Fix "Cannot access offset of type string on string" on some member thread lists
Elasticsearch currently contains a vulnerability which can allow remote code execution or leaking server IP.

It is strongly recommended to upgrade to Elasticsearch 6.3+ and apply the documented migration.

For more information see; PSA: Potential security vulnerability in Elasticsearch and more via Apache Log4j (Log4Shell)
  • Restore ElasticSearch 5.0 support when using "Exact title" and "Exact body" features
    • ES 5.0 does not support the "quote for exact match" feature
    • ElasticSearch 2.x probably works but isn't actively supported
  • Like
Reactions: 0815
Top